API referenceRuns
Run Attempts
GET
/api/v1/runs/{run_id}/attemptsAuthorizationBearer <token>
A workspace API key (a13n_...)
In: header
Path Parameters
run_id*Run Id
Header Parameters
X-Workspace-ID?|
The workspace ID a login session acts in; required with a login session. An API key acts in its own workspace and needs none; naming another is forbidden.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/runs/string/attempts"{ "items": [ { "created_at": "2019-08-24T14:15:22Z", "failure": { "code": "string", "message": "string" }, "finished_at": "2019-08-24T14:15:22Z", "harness_run_id": "string", "id": "string", "number": 0, "replaces_attempt_id": "string", "run_id": "string", "start_reason": "initial", "started_at": "2019-08-24T14:15:22Z", "status": "leased", "worker_build": "string", "yield_reason": "string" } ]}